<?php

declare(strict_types=1);

namespace App\Form;

use App\Entity\DrinkType;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\HiddenType;
use Symfony\Component\Form\Extension\Core\Type\NumberType;
use Symfony\Component\Form\Extension\Core\Type\TextType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class DrinkTypeStockEditType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options): void
    {
        $builder
            ->add('id', HiddenType::class, [
                'mapped' => false,
            ])
            ->add('name', TextType::class, [
                'disabled' => true,
                'attr' => [
                    'readonly' => true,
                ],
            ])
            ->add('wantedStock', NumberType::class, [
                'label' => 'Wanted Stock',
                'attr' => [
                    'min' => 0,
                    'step' => 1,
                    'class' => 'form-control',
                ],
            ]);
    }

    public function configureOptions(OptionsResolver $resolver): void
    {
        $resolver->setDefaults([
            'data_class' => DrinkType::class,
        ]);
    }
}
